Loading...
Searching...
No Matches
ftxui::Terminal Namespace Reference

## Functions

Dimensions | Size ()
| Get the terminal size.
void | SetFallbackSize (const Dimensions &fallbackSize)
| Override terminal size in case auto-detection fails.
Color | ColorSupport ()
| Get the color support of the terminal.
void | SetColorSupport (Color color)
| Override terminal color support in case auto-detection fails.

## Enumerations

enum | Color { Palette1 , Palette16 , Palette256 , TrueColor }

## Enumeration Type Documentation

## Color

enum Color

Enumerator
Palette1 |
Palette16 |
Palette256 |
TrueColor |

Definition at line 17 of file terminal.hpp.

## Function Documentation

## Size()

Dimensions Size | ( |  | ) |

Get the terminal size.

Returns
  The terminal size.

Definition at line 94 of file terminal.cpp.

## SetFallbackSize()

void SetFallbackSize | ( | const Dimensions & | fallbackSize | ) |

Override terminal size in case auto-detection fails.

Parameters

  fallbackSize | Terminal dimensions to fallback to

Definition at line 124 of file terminal.cpp.

## ColorSupport()

Color ColorSupport | ( |  | ) |

Get the color support of the terminal.

Definition at line 130 of file terminal.cpp.

## SetColorSupport()

void SetColorSupport | ( | Color | color | ) |

Override terminal color support in case auto-detection fails.

Definition at line 140 of file terminal.cpp.